Method: projects.locations.clusters.getCertificateAuthority

Gets the details of certificate authority information for Redis cluster.

HTTP request

GET https://redis.googleapis.com/v1/{name=projects/*/locations/*/clusters/*/certificateAuthority}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Redis cluster certificate authority resource name using the form: projects/{projectId}/locations/{locationId}/clusters/{clusterId}/certificateAuthority where locationId refers to a Google Cloud region.

Request body

The request body must be empty.

Response body

Redis cluster certificate authority

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
Fields
name

string

Identifier. Unique name of the resource in this scope including project, location and cluster using the form: projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority

server ca information The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
managedServerCa

object (ManagedCertificateAuthority)

End of mutually exclusive fields.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.

ManagedCertificateAuthority

JSON representation
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
Fields
caCerts[]

object (CertChain)

The PEM encoded CA certificate chains for redis managed server authentication

CertChain

JSON representation
{
  "certificates": [
    string
  ]
}
Fields
certificates[]

string

The certificates that form the CA chain, from leaf to root order.